<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
<f:view>
    <h:head>
        <h:outputStylesheet library="css" name="style.css"/>
    </h:head>
    <h:body class="main">
        <h:outputLabel value="Hello, #{customerBean.customer.name}!"/>
        <ui:repeat value="#{customerBean.customer.shoppingCarts}" var="shoppingCart">
            <h:outputLabel>#{shoppingCart.id}</h:outputLabel>
            <h:dataTable value="#{shoppingCart.goods}" var="good">
                <h:column>
                    <f:facet name="header">Good name</f:facet>
                    #{good.type}
                </h:column>
                <h:column>
                    <f:facet name="header">Price</f:facet>
                    #{good.price}
                </h:column>
                <h:column>
                    <f:facet name="header">Count</f:facet>
                    #{good.count}
                </h:column>
                <h:column>
                    <f:facet name="header">Cost</f:facet>
                    #{good.cost}
                </h:column>
            </h:dataTable>
        </ui:repeat>
        <h:form class="form">
            <h:commandButton class="submit_btn" action="#{customerBean.viewXml}" value="Xml output"/>
        </h:form>
    </h:body>
</f:view>
</html>
